Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.ebusiness
Class Categories

    java.lang.Object
      |
      +--java.util.AbstractCollection
            |
            +--com.compoze.ebusiness.Categories

All Implemented Interfaces:
  java.util.Collection, java.io.Serializable

public class Categories
extends java.util.AbstractCollection
implements java.io.Serializable

This class implements a collection of categories.

See Also:
  `Category`, Serialized Form

Constructor Summary
`protected` | `Categories(java.lang.String sCategoryString)` Constructor.
`protected` | `Categories(java.lang.String sCategoryString, java.lang.String delim)` Constructor.

Method Summary
`boolean` | `add(java.lang.Object o)` Adds the specified element to the collection.
`void` | `clear()` Removes all of the elements from this collection.
`java.util.Iterator` | `iterator()` Returns an iterator over the elements contained in this collection.
`int` | `size()` Returns the number of elements in this collection.
`java.lang.String` | `toCategoryString()` Returns a category string representation of the object.
`java.lang.String` | `toString()` Returns a string representation of the object.
`java.lang.String` | `toString(java.util.Locale locale)` Returns a string representation of the object.

Methods inherited from class java.util.AbstractCollection
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Collection
`equals, hashCode`

Constructor Detail

### Categories

    protected Categories(java.lang.String sCategoryString)

  Constructor.
  Parameters:
    `sCategories` - the string of categories to parse

### Categories

    protected Categories(java.lang.String sCategoryString,
                         java.lang.String delim)

  Constructor.
  Parameters:
    `sCategories` - the string of categories to parse
    `delim` - the category delim

Method Detail

### add

    public boolean add(java.lang.Object o)

  Adds the specified element to the collection. Returns `true` if the collection changed as a result of the call. Returns `false` if this collection does not permit duplicates and already contains the specified element.)
  Overrides:
    `add` in class `java.util.AbstractCollection`
  Parameters:
    `o` - the element to add

### clear

    public void clear()

  Removes all of the elements from this collection.
  Overrides:
    `clear` in class `java.util.AbstractCollection`

### iterator

    public java.util.Iterator iterator()

  Returns an iterator over the elements contained in this collection.
  Overrides:
    `iterator` in class `java.util.AbstractCollection`
  Returns:
    an iterator over the elements contained in this collection

### size

    public int size()

  Returns the number of elements in this collection.
  Overrides:
    `size` in class `java.util.AbstractCollection`
  Returns:
    the number of elements in this collection

### toString

    public java.lang.String toString()

  Returns a string representation of the object.
  Overrides:
    `toString` in class `java.util.AbstractCollection`
  Returns:
    the string representation of the object

### toString

    public java.lang.String toString(java.util.Locale locale)

  Returns a string representation of the object.
  Parameters:
    `locale` - the locale
  Returns:
    the string representation of the object

### toCategoryString

    public java.lang.String toCategoryString()

  Returns a category string representation of the object. This string is a concatenation of the categories with the delim set from `ebusiness_resources.properties`.
  Returns:
    the category string representation of the object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.